param ( [string]$FamilyFile="",
        [string]$Layer="dev",
        [string]$ConfigFile=".\UpdateCMDBConfig.xml"
)
[xml]$XmlCMDBConfig = Get-Content $ConfigFile
foreach ($Layer in $XmlCMDBConfig.Settings.Layers.Layer)
{
    if ($Layer.id -eq $DeployLayer) {
        $Server = $Layer.Server;
        $Port = $Layer.Port;
        break
    }
}

if ($FamilyFile -eq ""){
    $FamilyFile = Read-Host "* Enter the XLSX Update File"
}
if ($FamilyFile -eq ""){
    break}


$User = Read-Host "* Enter the user name for CA Service Desk CMDB Batch Update"
$Paswword =  Read-Host "* Enter the password" -AsSecureString
$plainPassword =[Runtime.InteropServices.Marshal]::PtrToStringAuto([Runtime.InteropServices.Marshal]::SecureStringToBSTR($Password))
Write-Host (Get-Date -UFormat "%d-%h-%Y %H:%M:%S : [INFO] CMDB CA Service Desk Batch Uploader") -ForegroundColor Green;
Write-Host (Get-Date -UFormat "%d-%h-%Y %H:%M:%S : [INFO] 2020 By JJARRIN") -ForegroundColor Green;
Write-Host (Get-Date -UFormat "%d-%h-%Y %H:%M:%S : [INFO] Family File: $FamilyFile") -ForegroundColor Green;
Write-Host (Get-Date -UFormat "%d-%h-%Y %H:%M:%S : [INFO] Layer: $Layer") -ForegroundColor Green;
Write-Host (Get-Date -UFormat "%d-%h-%Y %H:%M:%S : [INFO] Command: grloader -s http://${Server}:${Port} -i $FamilyFile -ua -a -n -E -u $User -p ****") -ForegroundColor Green;

Start-Process -NoNewWindow -FilePath "grloader" -ArgumentList "-s http://${Server}:${Port}","-i $FamilyFile","-ua", "-a", "-n", "-E", "-u $User", "-p $plainPassword"

